curl --request GET \
--url https://api.sandbox.lead.bank/v2/wires/{wire_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/wires/{wire_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/wires/{wire_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wire_xyz123",
"account_number_id": "account_number_xyz123",
"core_transaction_ids": [
"core_transaction_xyz123"
],
"created_at": "2024-06-27T11:22:33Z",
"updated_at": "2024-06-27T11:22:33Z",
"settlement_date": "2024-06-27",
"direction": "incoming",
"type": "transfer",
"corridor_type": "domestic",
"status": "created",
"amounts": {
"settlement_amount": 5000,
"settlement_currency_code": "USD",
"instructed_amount": 5000,
"instructed_currency_code": "<string>",
"instructed_to_settlement_exchange_rate": 1
},
"debtor": {
"name": "Alan Scott",
"account_identifier": {
"type": "other",
"value": 1234567890
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"debtor_agent": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"instructing_agent": {
"name": "Bank of America",
"business_identifier_code": "CHASUS33",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
}
},
"instructed_agent": {
"name": "Bank of America",
"business_identifier_code": "CHASUS33",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
}
},
"creditor_agent": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"creditor": {
"name": "Alan Scott",
"account_identifier": {
"type": "other",
"value": 1234567890
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"initiating_party": {
"name": "Alan Scott",
"account_identifier": {
"type": "other",
"value": 1234567890
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"ultimate_debtor": {
"name": "Alan Scott",
"account_identifier": {
"type": "other",
"value": 1234567890
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"ultimate_creditor": {
"name": "Alan Scott",
"account_identifier": {
"type": "other",
"value": 1234567890
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"other_agents": {
"previous_instructing_agent_one": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"previous_instructing_agent_two": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"previous_instructing_agent_three": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"intermediary_agent_one": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"intermediary_agent_two": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
},
"intermediary_agent_three": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
}
},
"payment_identifiers": {
"message_identification": "20241215MMQFMP2L017736",
"end_to_end_identification": "EndtoEnd12345",
"uetr": "dae7d83c-1624-4a79-a8ef-3794de115c13",
"instruction_identification": "Instruction12345",
"return_identification": "ReturnInstruction12345"
},
"remittance_details": {
"payment_notification": "ba77ae30-efb8-4139-8e51-37e3fd905b2b",
"message_to_creditor": "Payment for invoice 12345",
"message_to_receiving_fi": "message for receiving financial institution",
"fi_to_fi_message": "message from financial institution to financial institution",
"transfer_purpose": {
"type": "invoice_payment",
"other_details": "Payment for consulting services"
}
},
"charges": {
"charge_bearer": "shared",
"breakdown": [
{
"amount": "12.50",
"currency_code": "USD",
"charging_agent": {
"business_identifier_code": "BOFAUS3NXXX",
"name": "Bank of America",
"local_routing_identifier": {
"scheme": "USABA",
"value": "021000021"
},
"address": {
"street_name": "Main Street",
"building_number": "100",
"building_name": "City Hall",
"floor": "4th Floor",
"room": "600",
"post_code": "12345",
"town_name": "Kansas City",
"country_sub_division": "MO",
"country": "US",
"line_one": "123 Main St",
"line_two": "Suite 100",
"line_three": "Kansas City, MO 64105"
}
}
}
]
},
"related_wires": {
"original_wire_id": "wire_xyz001",
"return_wire_ids": [
"wire_xyz002"
]
},
"return_requests": [
{
"status": "pending",
"reason": "duplication",
"created_at": "2024-06-27T11:22:33Z",
"details": "ISO Code: CUST; Beneficiary has not received funds",
"deadline": "2024-07-08T23:30:00-04:00",
"resolution": {
"resolved_at": "2024-06-27T11:22:33Z",
"resolved_by": "counterparty",
"rejection_reason": "customer_no_response",
"rejection_details": "ISO Code: CUST; Beneficiary has not received funds"
}
}
],
"return": {
"reason": "honor_return_request",
"additional_information": "<string>"
},
"rejection": {
"reason": "honor_return_request",
"additional_information": "<string>",
"message_identification": "<string>"
},
"metadata": {}
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Retrieve a Wire
Retrieve a wire object.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the wire object you want to retrieve.
^wire_\w+$Response
A wire object.
A wire object.
Unique identifier of the wire object.
^wire_\w+$"wire_xyz123"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
Linked core transaction ID(s) associated with the wire.
ISO 8601 format timestamp representing when the wire object was created.
"2024-06-27T11:22:33Z"
ISO 8601 format timestamp representing when the wire object was last updated.
"2024-06-27T11:22:33Z"
The ISO-8601 datestamp indicating the wire settlement date based on Fedwire's business day definition.
"2024-06-27"
Who is initiating the transaction.
outgoing: You are sending a wire transaction to a counterparty. incoming: You are receiving an wire transaction from a counterparty.
outgoing, incoming "incoming"
Indicates the type of wire message that the object represents.
transfer, return "transfer"
Indicates whether the wire is domestic or international.
domestic, international "domestic"
The current status of the wire object.
Note: scheduled, processing, and cancel_pending are legacy values carried over from V1 and will be deprecated in 2027.
created, scheduled, processing, posted, under_review, rejected, canceled, cancel_pending "created"
Show child attributes
Show child attributes
Details of the debtor sending funds.
Show child attributes
Show child attributes
Details of the financial institution where the debtor holds their account. This object may be absent if the instructing agent does not provide this information.
Show child attributes
Show child attributes
The financial institution that transmitted the payment through Fedwire. In some cases, this may differ from the bank where the account is held. This object will always be populated.
Show child attributes
Show child attributes
The financial institution that received the payment through Fedwire. This may not always be the bank where the recipient's account is held. This object will always be populated.
Show child attributes
Show child attributes
Details of the financial institution where the creditor holds their account. This object may be absent if the instructing agent does not provide this information.
Show child attributes
Show child attributes
Details of the creditor receiving funds.
Show child attributes
Show child attributes
Details of the party that initiates the payment on behalf of the debtor. For outgoing wires, automatically populated with your organization's name. For incoming wires, populated from the ISO initiating party when provided by the sending institution.
Show child attributes
Show child attributes
The ultimate party on whose behalf the payment is made, if different from the debtor.
Show child attributes
Show child attributes
The ultimate party to which the payment is intended, if different from the creditor.
Show child attributes
Show child attributes
Details of any other agents involved in the wire transfer.
Show child attributes
Show child attributes
Wire payment identifiers.
Show child attributes
Show child attributes
Wire remittance details.
Show child attributes
Show child attributes
Information about any charges assessed during wire transfer processing.
Show child attributes
Show child attributes
Related wire objects.
Show child attributes
Show child attributes
Return requests associated with the wire, sorted oldest first. Empty when no return requests exist.
Show child attributes
Show child attributes
Return details associated with a returned wire.
Show child attributes
Show child attributes
Rejection details associated with a rejected wire.
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Was this page helpful?

